- #### config.properties.blacklist

  Deprecated. Use config.properties.exclude instead.

  Type: | list
  Default: | null
  Valid Values: |
  Importance: | high

- #### config.properties.exclude

  Topic config properties that should not be replicated. Supports comma-separated property names and regexes.

  Type: | list
  Default: | follower\.replication\.throttled\.replicas,leader\.replication\.throttled\.replicas,message\.timestamp\.difference\.max\.ms,message\.timestamp\.type,unclean\.leader\.election\.enable,min\.insync\.replicas
  Valid Values: |
  Importance: | high

- #### topics

  Topics to replicate. Supports comma-separated topic names and regexes.

  Type: | list
  Default: | .*
  Valid Values: |
  Importance: | high

- #### topics.blacklist

  Deprecated. Use topics.exclude instead.

  Type: | list
  Default: | null
  Valid Values: |
  Importance: | high

- #### topics.exclude

  Excluded topics. Supports comma-separated topic names and regexes. Excludes take precedence over includes.

  Type: | list
  Default: | .*[\-\.]internal,.*\.replica,__.*
  Valid Values: |
  Importance: | high

- #### add.source.alias.to.metrics

  Deprecated. Whether to tag metrics with the source cluster alias. Metrics have the target, topic and partition tags. When this setting is enabled, it adds the source tag. This configuration will be removed in Kafka 4.0 and the default behavior will be to always have the source tag.

  Type: | boolean
  Default: | false
  Valid Values: |
  Importance: | low

- #### config.property.filter.class

  ConfigPropertyFilter to use. Selects topic config properties to replicate.

  Type: | class
  Default: | org.apache.kafka.connect.mirror.DefaultConfigPropertyFilter
  Valid Values: |
  Importance: | low

- #### consumer.poll.timeout.ms

  Timeout when polling source cluster.

  Type: | long
  Default: | 1000 (1 second)
  Valid Values: |
  Importance: | low

- #### emit.offset-syncs.enabled

  Whether to store the new offset of the replicated records in offset-syncs topic or not. MirrorCheckpointConnector will not be able to sync group offsets or emit checkpoints if emit.checkpoints.enabled and/or sync.group.offsets.enabled are enabled while emit.offset-syncs.enabled is disabled.

  Type: | boolean
  Default: | true
  Valid Values: |
  Importance: | low

- #### offset-syncs.topic.location

  The location (source/target) of the offset-syncs topic.

  Type: | string
  Default: | source
  Valid Values: | [source, target]
  Importance: | low

- #### offset-syncs.topic.replication.factor

  Replication factor for offset-syncs topic.

  Type: | short
  Default: | 3
  Valid Values: |
  Importance: | low

- #### offset.lag.max

  How out-of-sync a remote partition can be before it is resynced.

  Type: | long
  Default: | 100
  Valid Values: |
  Importance: | low

- #### refresh.topics.enabled

  Whether to periodically check for new topics and partitions.

  Type: | boolean
  Default: | true
  Valid Values: |
  Importance: | low

- #### refresh.topics.interval.seconds

  Frequency of topic refresh.

  Type: | long
  Default: | 600
  Valid Values: |
  Importance: | low

- #### replication.factor

  Replication factor for newly created remote topics.

  Type: | int
  Default: | 2
  Valid Values: |
  Importance: | low

- #### sync.topic.acls.enabled

  Whether to periodically configure remote topic ACLs to match their corresponding upstream topics.

  Type: | boolean
  Default: | true
  Valid Values: |
  Importance: | low

- #### sync.topic.acls.interval.seconds

  Frequency of topic ACL sync.

  Type: | long
  Default: | 600
  Valid Values: |
  Importance: | low

- #### sync.topic.configs.enabled

  Whether to periodically configure remote topics to match their corresponding upstream topics.

  Type: | boolean
  Default: | true
  Valid Values: |
  Importance: | low

- #### sync.topic.configs.interval.seconds

  Frequency of topic config sync.

  Type: | long
  Default: | 600
  Valid Values: |
  Importance: | low

- #### topic.filter.class

  TopicFilter to use. Selects topics to replicate.

  Type: | class
  Default: | org.apache.kafka.connect.mirror.DefaultTopicFilter
  Valid Values: |
  Importance: | low

- #### use.incremental.alter.configs

  Deprecated. Which API to use for syncing topic configs. The valid values are 'requested', 'required' and 'never'. By default, set to 'requested', which means the IncrementalAlterConfigs API is being used for syncing topic configurations and if any request receives an error from an incompatible broker, it will fallback to using the deprecated AlterConfigs API. If explicitly set to 'required', the IncrementalAlterConfigs API is used without the fallback logic and +if it receives an error from an incompatible broker, the connector will fail.If explicitly set to 'never', the AlterConfig is always used.This setting will be removed and the behaviour of 'required' will be used in Kafka 4.0, therefore users should ensure that target broker is at least 2.3.0

  Type: | string
  Default: | requested
  Valid Values: | [requested, required, never]
  Importance: | low